Bug 1553115 (CVE-2018-7642) - CVE-2018-7642 binutils: NULL pointer dereference in swap_std_reloc_in function in aoutx.h resulting in crash
Summary: CVE-2018-7642 binutils: NULL pointer dereference in swap_std_reloc_in functio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7642
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180224,reported=2...
: CVE-2018-14038 (view as bug list)
Depends On: 1551786 1551787 1553121 1579799
Blocks: 1553120 1686787
TreeView+ depends on / blocked
 
Reported: 2018-03-08 10:50 UTC by Andrej Nemec
Modified: 2019-06-14 08:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:17:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3032 None None None 2018-10-30 07:23:56 UTC

Description Andrej Nemec 2018-03-08 10:50:21 UTC
The swap_std_reloc_in function in aoutx.h in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.30, allows attackers to cause a denial of service (aout_32_swap_std_reloc_out NULL pointer dereference and application crash) via a crafted ELF file, as demonstrated by objcopy.

Upstream issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=22887

Upstream patches:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=116acb2c268c89c89186673a7c92620d21825b25

Comment 1 Andrej Nemec 2018-03-08 10:57:13 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1551786]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1551787]

Comment 4 errata-xmlrpc 2018-10-30 07:23:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3032 https://access.redhat.com/errata/RHSA-2018:3032

Comment 5 Riccardo Schirone 2019-03-12 17:26:39 UTC
*** Bug 1686781 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.